Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.spi.viewmodel/2 1.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.spi.viewmodel
Class ModelEvent.TableValueChanged

    java.lang.Object
      java.util.EventObject
          org.netbeans.spi.viewmodel.ModelEvent
              org.netbeans.spi.viewmodel.ModelEvent.TableValueChanged

All Implemented Interfaces:
  Serializable

Enclosing class:
  ModelEvent

    public static class ModelEvent.TableValueChanged

extends ModelEvent

Used to notify that one cell in table has been changed.

Since:
  1.4
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.netbeans.spi.viewmodel.ModelEvent
`ModelEvent.NodeChanged, ModelEvent.TableValueChanged, ModelEvent.TreeChanged`

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ModelEvent.TableValueChanged(Object source, Object node, String columnID)` Creates a new instance of TableValueChanged event.

Method Summary
`String` | `getColumnID()` Returns changed column name.
`Object` | `getNode()` Returns changed node instance.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ModelEvent.TableValueChanged

    public ModelEvent.TableValueChanged(Object source,
                                        Object node,
                                        String columnID)

  Creates a new instance of TableValueChanged event.

  Parameters:
    `source` - a source if event.
    `node` - a changed node instance
    `columnID` - a changed column name
  Since:
    1.4

Method Detail

### getNode

    public Object getNode()

  Returns changed node instance.

  Returns:
    changed node instance
  Since:
    1.4

### getColumnID

    public String getColumnID()

  Returns changed column name.

  Returns:
    changed column name
  Since:
    1.4

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.spi.viewmodel/2 1.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.